/*! added.css v1.0.0 | MIT License | by sialka */

/* Loading */

#overlay-loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255,255,255,0.8);
  z-index: 9999;
  display: none; /* começa escondido */
  justify-content: center;
  align-items: center;
}

/* Spinner animado */
.spinner {
  border: 8px solid #f3f3f3;
  border-top: 8px solid #3498db;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  animation: spin 1s linear infinite;
}

/* Texto abaixo do spinner */
.loading-text {     
    padding-left: 4px;
    font-size: 18px;
    color: #333;
    font-weight: bold;
}

@keyframes spin {
  100% { transform: rotate(360deg); }
}

/* Geral */

.no-border {
    border: 0px;
}

.no-radius{
    border-radius: 0px;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
}

.box{
    background-color: white;
    border: 1px solid #D3D3D3;
    border-radius: 4px;
    padding: 10px 5px;
    margin-left: 20px;
    margin-right: 20px;
    margin-bottom: 20px;
}

.no-link {
    text-decoration: none;
}

.no-link:hover {
    text-decoration: none;
}

.text-normal {
    font-size: 1em;
}

.display-none {
    display: none;
}

.strong {
    font-weight: bold;
}

textarea:focus,
input:focus,
select:focus {
    outline: 0;
    /*border-radius: 0px;*/
    border-radius: 0px;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;

}

/* Login */

.login {
    align-items: center;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    height: 100vh;
}

.login-error {
    background-color: transparent !important;
    color: #cc0000 !important;
    border-radius: 0 !important;
    border: none !important;
    font-weight: bold;
}

.label-disabled {
    background-color: #eaecf4;
}


input[type="file"] {
    border-radius: 0px;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    padding: 2px;
    height: calc(1.5em + 0.75rem) !important;
    font-size: 13px;
}

.status {
    width:50%;
    padding: 0;
    font-size: 1.6rem;
}

.left {
    float: left
}

.right {
    float: right
}

.fixed {
    position: fixed;
    bottom: 0;
    left:0;
}

.center {
    text-align: center;
}

.hide {
    display: none;
}

/* Tela Login */

.login {
    align-items: center;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    height: 100vh;
}

.login-error{    
    background-color: rgb(220,53,69, 0.2);
    color: #AB0909;
    border-radius: 20px;
    border: 1px solid #AB0909;
    font-size: 0.8rem;
    padding: 4px 8px;    
    text-align: center;
    margin-bottom: 1em;
}

.campo {
    position: relative;
    margin-top: 20px;
}

.campo input {
    width: 100%;
    padding: 12px 10px;
    font-size: 1rem;
    border: 1px solid #999;
    border-radius: 4px;
    outline: none;
}

.campo label {
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
    color: #666;
    background: white;
    padding: 0 4px;
    pointer-events: none;
    transition: 0.2s ease;
}

.campo input:focus + label,
.campo input:not(:placeholder-shown) + label {
    top: 0;
    font-size: 12px;
    color: #000000;
    /*font-weight: bold;*/
}

/* font-size */

.fs-05{
    font-size: 0.5rem;
}
.fs-06{
    font-size: 0.6rem;
}
.fs-07{
    font-size: 0.7rem;
}
.fs-08{
    font-size: 0.8rem;
}
.fs-09{
    font-size: 0.9rem;
}
.fs-10{
    font-size: 1.0rem;
}
.fs-11{
    font-size: 1.1rem;
}
.fs-12{
    font-size: 1.2rem;
}
.fs-13{
    font-size: 1.3rem;    
}
.fs-14{
    font-size: 1.4rem;
}
.fs-15{
    font-size: 1.5rem;
}

/* Border Radius */

.br-1 {
    border-radius: 1px;
}

.br-2 {
    border-radius: 2px;
}

.br-3 {
    border-radius: 3px;
}

.br-4 {
    border-radius: 5px;
}

.br-5 {
    border-radius: 5px;
}

.br-6 {
    border-radius: 6px;
}

/*  cart */

.cart {
    position: relative;
    display: inline-block;
}

.cart-count {
    position: absolute;
    
    /* Move o span */
    
    right: -15px;

    background: #DAAA3B;
    color: white;

    width: 20px;
    height: 20px;

    border-radius: 50%;

    display: flex;
    align-items: center;
    justify-content: center;

    font-size: 12px;
    font-weight: bold;
}

.badge-approvals{
    position: absolute;
    right: 25px;    
    top: 10px;

    background: #5BB75B;
    color: white;

    border-radius: 50%;
    width: 16px;
    height: 16px;

    display: flex;
    align-items: center;
    justify-content: center;

    font-size: 11px;
    font-weight: bold;

}

.message{
    margin: 3em 8em;    
    background: rgba(215,162,50,0.1);
    border: 1px solid #fff; 
    border-radius: 0.25rem; 
    /*padding: 20px 20px; */
    text-align: center; 
    font-size: 1.5rem;
    height: 10em; 
    display: flex; 
    flex-direction: column; /* <-- importante */
    align-items: center; 
    justify-content: center;
}

.message-mobile{                    
    
    font-size: 1.5rem;    
    display: flex; 
    flex-direction: column; 
    align-items: center; 
    justify-content: center;    
}

.message-logo{
    position: absolute;    
    top: -40px;    

    /*background: #FBFD9C;*/
    background: rgba(215,162,50,0.6);
    color: #AC8363;

    border-radius: 50%;
    width: 90px;
    height: 90px;

    font-size: 2em;

    display: flex;
    align-items: center;
    justify-content: center; 
}

.message-logo-mobile{
    position: absolute;    
    top: 20px;

    /*background: #FBFD9C;*/
    background: rgba(215,162,50,0.6);
    color: #AC8363;

    border-radius: 50%;
    width: 90px;
    height: 90px;

    font-size: 2em;

    display: flex;
    align-items: center;
    justify-content: center; 
}

.message-title{
    font-size: 1rem;      
    margin-top: 2.5em;  
}


.message-title-mobile{
    font-size: 1.4rem;      
    margin-top: 2.0em;  
}

.message-body {
    color: #C67902;    
}

.message-body-mobile {
    color: #C67902; 
    font-size: 1.2rem;      
}

.border-created { border: 2px solid #C67902; }

/* colors */

.bg-black { background: #000000; }
.bg-disabled { background-color: #EEEEEE; }
.bg-footer { background-color: #eff3f8; }
.bg-brown-light { background-color: rgba(153,102,63, 0.2); }
.bg-brown { background-color: rgba(153,102,63, 1); }
.bg-created { background-color: rgba(91,183,91, 0.2); }
.text-brow { color: #966239; }

.btn-brown {
    background-color: #99663F;
    color: #fff;
    border-radius: 3px;
    padding: 6px 12px;
}

.btn-brown:hover {
    background-color: #99663F;
    color: #fff;
    border-radius: 3px;
    padding: 6px 12px;
    opacity: 0.8;
}

.badge-brown {
    color: #fff;
    background-color: #99663F;
    border-radius: 3px;
    padding: 4px 8px;
}

.border-warning { border: 1px solid #F6C23E; }
.border-danger { border: 1px solid #E74A3B; }
.border-success  { border: 1px solid #5BB75B; }
.border-danger  { border: 1px solid #E74A3B; }
.border-info  { border: 1px solid #36B9CC; }